Skip to content

Mount / Unmount PFS to Instance

PUT
/notebooks/{Notebook_Id}/mounted-pfs/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-pfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"action": "mount or unmount",
"pfs_ids": [
504
],
"pfs_path": "/pfs"
}'

Kindly choose request example mount for mounting update and unmount for unmounting.

Notebook_Id
required
integer

Notebook ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
action
required
string

Example

mount or unmount
pfs_ids
required
Array<integer>

Example

[
504
]
pfs_path
required
string

Example

/pfs

Response